Skip to main content
POST
/
embedded-banking
/
v1
/
bank-account-applications
Create a new bank account application.
curl --request POST \
  --url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "applicant": {
    "authentication": {
      "password": "<string>"
    },
    "birthDate": "2023-12-25",
    "firstName": "<string>",
    "hasAcceptedDisclosures": true,
    "homeAddress": {
      "address1": "<string>",
      "address2": "<string>",
      "address3": "<string>",
      "city": "<string>",
      "countryCode": "AFG",
      "postalCode": "<string>",
      "state": "<string>"
    },
    "isLegallyAuthorized": true,
    "lastName": "<string>",
    "mobilePhoneNumber": "<string>",
    "ownershipPercentage": 123,
    "personalIdentificationNumber": {
      "type": "SSN",
      "value": "<string>"
    },
    "workEmailAddress": "<string>"
  },
  "businessDetails": {
    "address": {
      "address1": "<string>",
      "address2": "<string>",
      "address3": "<string>",
      "city": "<string>",
      "countryCode": "AFG",
      "postalCode": "<string>",
      "state": "<string>"
    },
    "businessStructureType": "CORPORATION_PUBLIC",
    "dbaName": "<string>",
    "formationDate": "2023-12-25",
    "legalName": "<string>",
    "northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
    "phoneNumber": "<string>",
    "taxId": {
      "type": "EIN",
      "value": "<string>"
    },
    "website": "<string>"
  },
  "businessOwners": [
    {
      "birthDate": "2023-12-25",
      "firstName": "<string>",
      "homeAddress": {
        "address1": "<string>",
        "address2": "<string>",
        "address3": "<string>",
        "city": "<string>",
        "countryCode": "AFG",
        "postalCode": "<string>",
        "state": "<string>"
      },
      "lastName": "<string>",
      "mobilePhoneNumber": "<string>",
      "ownershipPercentage": 123,
      "personalIdentificationNumber": {
        "type": "SSN",
        "value": "<string>"
      }
    }
  ],
  "individualValidationSource": "<string>",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationValidationSource": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "applicant": {
    "birthDate": "2023-12-25",
    "disclosuresAcceptedAtDateTime": "2023-11-07T05:31:56Z",
    "firstName": "<string>",
    "hasAcceptedDisclosures": true,
    "homeAddress": {
      "address1": "<string>",
      "address2": "<string>",
      "address3": "<string>",
      "city": "<string>",
      "countryCode": "AFG",
      "postalCode": "<string>",
      "state": "<string>"
    },
    "isLegallyAuthorized": true,
    "lastName": "<string>",
    "mobilePhoneNumber": "<string>",
    "ownershipPercentage": 123,
    "workEmailAddress": "<string>"
  },
  "businessDetails": {
    "address": {
      "address1": "<string>",
      "address2": "<string>",
      "address3": "<string>",
      "city": "<string>",
      "countryCode": "AFG",
      "postalCode": "<string>",
      "state": "<string>"
    },
    "businessStructureType": "CORPORATION_PUBLIC",
    "dbaName": "<string>",
    "legalName": "<string>",
    "northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
    "phoneNumber": "<string>",
    "website": "<string>"
  },
  "businessOwners": [
    {
      "birthDate": "2023-12-25",
      "firstName": "<string>",
      "homeAddress": {
        "address1": "<string>",
        "address2": "<string>",
        "address3": "<string>",
        "city": "<string>",
        "countryCode": "AFG",
        "postalCode": "<string>",
        "state": "<string>"
      },
      "lastName": "<string>",
      "mobilePhoneNumber": "<string>",
      "ownershipPercentage": 123
    }
  ],
  "clientSecret": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Request model for creating a new bank account application.

applicant
object

Optional applicant details for the bank account application.

businessDetails
object

Optional business details for the bank account application.

businessOwners
null | object[]

Optional list of business owners to add to the application.

individualValidationSource
null | string

Custom validation source for the individual (e.g. "Socure"). Used by partners who perform their own KYC.

organizationId
null | string<uuid>

Optional VSP organization ID override. When provided, the application will target the specified VSP organization instead of the caller's organization.

organizationValidationSource
null | string

Custom validation source for the organization (e.g. "Middesk"). Used by partners who perform their own KYC.

Response

Application created successfully.

id
string<uuid>
required

Unique identifier for the bank account application.

applicant
object

Applicant information for the bank account.

businessDetails
object

Business details associated with the application.

businessOwners
null | object[]

List of business owners associated with the application.

clientSecret
null | string